Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicCommandButtonListener

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonListener

All Implemented Interfaces:
  `FocusListener`, `MouseListener`, `MouseMotionListener`, `EventListener`, `ChangeListener`

public class BasicCommandButtonListener extends Object implements MouseListener, MouseMotionListener, FocusListener, ChangeListener
Listener to track user interaction with the command buttons.

## Constructor Summary

Constructors
Constructor
Description
`BasicCommandButtonListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`void`
`installKeyboardActions(AbstractCommandButton button)`
Installs keyboard action (space / enter keys) on the specified command button.
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`stateChanged(ChangeEvent e)`
`void`
`uninstallKeyboardActions(AbstractCommandButton button)`
Uninstalls keyboard action (space / enter keys) from the specified command button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicCommandButtonListener

public BasicCommandButtonListener()

## Method Details

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### stateChanged

public void stateChanged(ChangeEvent e)

Specified by:
  `stateChanged` in interface `ChangeListener`

### installKeyboardActions

public void installKeyboardActions(AbstractCommandButton button)
Installs keyboard action (space / enter keys) on the specified command button.

Parameters:
  `button` - Command button.

### uninstallKeyboardActions

public void uninstallKeyboardActions(AbstractCommandButton button)
Uninstalls keyboard action (space / enter keys) from the specified command button.

Parameters:
  `button` - Command button.